Subject: Re: bug#25267: guile-2.2 crash in GC

From: Linas Vepstas <[email-masked]>
Date: Tue, 10 Jan 2017 00:45:04 -0600

On Mon, Jan 9, 2017 at 3:53 PM, Andy Wingo <[email-masked]> wrote:
> On Sat 24 Dec 2016 19:43, Linas Vepstas <[email-masked]> writes:
>
>> [Switching to Thread 0x7fffc0ff9700 (LWP 3680)]
>> thread_mark (addr=0x5555558f7700, mark_stack_ptr=<optimized out>,
>>     mark_stack_limit=0x7fffc0ff7c50, env=<optimized out>)
>>     at ../../libguile/threads.c:111
>> 111              while ((chain = *(void **)chain))
>
> I ran into this one too!  I think I fixed it; can you verify?

Yep, this is now fixed. You can close this.

(20 minutes of cpu time racked up on it. git version as of today:
7e93950552cd9e85a1f3eb73faf16e8423b0fbbe )

--linas